#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    char c1,c2;
    int a1,a2;
    scanf("%c%c",&c1,&c2);
    scanf("%d%d",&a1,&a2);
    if(abs(a1-a2)>1)
        printf("nemoguce");
    else if(a1-a2==1)
    {
        for(int i=0;i<a2;i++)
            printf("%c%c",c1,c2);
        printf("%c",c1);
    }
    else if(a2-a1==1)
    {
        for(int i=0;i<a1;i++)
            printf("%c%c",c2,c1);
        printf("%c",c2);
    }
    else
    {
        for(int i=0;i<a1;i++)
            printf("%c%c",c2,c1);
    }
    return 0;
}